Passer au contenu principal
POST
/
suno
/
vox
Suno Vox
curl --request POST \
  --url https://api.acedata.cloud/suno/vox \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "audio_id": "<string>",
  "vocal_start": 123,
  "vocal_end": 123,
  "callback_url": "<string>"
}
'
{
  "success": true,
  "task_id": "9d5ce870-18e3-4c17-a1d9-7ef5a07918e9",
  "trace_id": "c31b50cd-0dbe-4e53-a7a5-83965dc5ad6b",
  "data": {
    "id": "24f0827e-5847-4011-b9b7-fc0b62032b65",
    "source_clip_id": "42599b24-fb14-4cd3-a444-e15ffde3661b",
    "status": "complete",
    "vocal_audio_url": "https://cdn1.suno.ai/processed_24f0827e-5847-4011-b9b7-fc0b62032b65_vocals.m4a",
    "vocal_end_s": 30,
    "vocal_start_s": 20,
    "wave_response": {
      "waveform_aggregates": [
        {
          "data": [
            [
              -4,
              4,
              -50,
              73,
              -2517,
              2887,
              294
            ],
            [
              -5,
              4,
              296
            ]
          ],
          "mip_map_level": 11
        },
        {
          "data": [
            [
              -19576,
              20406,
              -16717,
              16980,
              -18926,
              20807,
              -20029,
              20103,
              -16437,
              20899
            ],
            [
              -19578,
              20406,
              -16720,
              16980,
              -18825,
              20051,
              -20029,
              20103,
              -16453,
              20903
            ]
          ],
          "mip_map_level": 20
        }
      ]
    }
  }
}

Autorisations

Authorization
string
header
requis

En-têtes

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json.

Options disponibles:
application/json

Corps

application/json
audio_id
string
requis

The audio id which used to generate the music audio continued from existing audio.

vocal_start
number

The start time of the vocal in the audio.

vocal_end
number

The end time of the vocal in the audio.

callback_url
string

The URL to send the result back to the client. If not specified, the result will be returned in the response body.

Réponse

OK, the request is successful.

data
object

Customize data returned by the API.

success
boolean

The flag indicates the request is successful or not

task_id
string

The task id of this request.

trace_id
string

The trace id of this request, used for debugging and tracing.